 <?php
// Version: 1.0: FloatingBar.php

if (!defined('SMF'))
	die('Hacking attempt...');

function floating_bar_load_theme()
{
	global $context, $modSettings;

	// Show the floating bar only if the user is a guest, is not registering or login and the mod is activated
	if ($context['user']['is_guest'] && !empty($modSettings['floating_mode']) && $context['current_action'] != 'login' && $context['current_action'] != 'register')
	{
		loadLanguage('FloatingBar', 'floatingbar');
		loadTemplate(false, 'floatingbar');
		array_splice($context['template_layers'], 1, 0, 'floating_bar');
	}
}

function floating_bar_general_mod_settings(&$config_vars)
{
	loadLanguage('FloatingBar');
	$config_vars = array_merge($config_vars, array(
		'',
		array('check', 'floating_mode'),
		array('text', 'floating_text'),
	));
}

function template_floating_bar_above()
{
	global $txt, $context, $modSettings;

	echo '
	<div id="topbar" onclick="document.getElementById(\'topbar\').style.visibility=\'hidden\'; window.location=smf_scripturl + \'?action=register\';">
		', (empty($modSettings['floating_text'])) ? sprintf($txt['welcome_guest'], $txt['guest_title']) : parse_bbc($modSettings['floating_text']), '
	</div>';
}

function template_floating_bar_below() {}

?>